//Harrier AV8
// By Pandoras Box	
// sf_pandorasbox@hotmail.com	

// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2


class CfgPatches
{
	class PDBHARRIER3DESSERT
	{
		Units[] = {PDBHARRIER3DESSERT};
		Weapons[] = {};
		RequiredVersion = 1.29;
	};

	class PDBHARRIER4DESSERT 
	{
		Units[] = {PDBHARRIER4DESSERT};
		Weapons[] = {};
		RequiredVersion = 1.29;
	};
};


class CfgAmmo
{
	class Default {};
	class AT3: Default {};
	class Hellfire: AT3 {};
	class Maverick: Hellfire {};
	class Rocket : Maverick {};
	

        class BulletSingle : Default {};
	class BulletPDBGAU12U : BulletSingle {
		 // in fact this is 5 bullets burst
		// explosive bullets
		hit=50;indirectHit=20;indirectHitRange=2;
		minRange=20;minRangeProbab=0.80;
		midRange=500;midRangeProbab=0.95;
		maxRange=3000;maxRangeProbab=0.05;
		cost=30;
	};

};


class CfgWeapons
{
	class Default {};
	class LAWLauncher: Default {};
	class CarlGustavLauncher : LAWLauncher {};
	class AT3Launcher: CarlGustavLauncher {};
	class HellfireLauncher: AT3Launcher {};
	class MaverickLauncher: HellfireLauncher {};
	class RocketLauncher: MaverickLauncher
	{
		ammo=Maverick;
		displayName="AGM-65 Maverick";
		displayNameMagazine="AGM-65 Maverick";
		shortNameMagazine="PDBAGM-65 Maverick";
		count=6;
	
        };

        
        class MGun: Default {};
	class MachineGun7_6: MGun {};
	class MachineGun30: MachineGun7_6 {};
	class PDBGAU12U: MachineGun30
	{
		ammo=BulletPDBGAU12U;
		count=600;
		initSpeed=900;
		flashSize=1.2;
		reloadTime=0.001;
		displayName = GAU-12/U;
		displayNameMagazine = GAU-12/U;
		shortNameMagazine = PDBGAU-12/U;
                sound[]={"\PDB Harridessert\gau12.wav",db-10,1};
		dispersion=0.0015;
		maxLeadSpeed=900; // max estimated speed km/h

		aiRateOfFire=5; // delay between shots at given distance
		aiRateOfFireDistance=3000; // at shorter distance delay goes lineary to zero
       };




};


class CfgVehicles
{
      class All {};
	class AllVehicles: All {};
	class Air: AllVehicles {};
	class Plane: Air {};
	class PDBHARRIER3DESSERT: Plane
	{
		scope=public;
		crew = SoldierWPilot;
		picture=\PDB Harridessert\dessert\isu25;
		side=TWest;
		displayName="PDB Harrier AV8_DESSERT";
		accuracy=0.30;
		driverAction = ManActA10Pilot;
		maxSpeed = 1075;
                SoundEngine[]={"\PDB Harridessert\av8.wav",db+10,1};
		armor=100;
		cost=20000000;
		model="\PDB Harridessert\PDB Harridessert";
		weapons[]={PDBGAU12U,  Rocket57x64, RocketLauncher};
		magazines[]={PDBGAU12U, Rocket57x64, RocketLauncher};
		fov=0.5;
		type=VAir;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.1, 1, 0.7};

		class Reflectors
		{
			class Reflector
			{
				color[] = {0.9, 0.8, 0.8, 1.0};
				ambient[] = {0.1, 0.1, 0.1, 1.0};
				position = "L svetlo";
				direction = "konec L svetla";
				hitpoint = "L svetlo";
				selection = "L svetlo";
				size = 0.5;
				brightness = 0.25;
			};
		};

		class IndicatorAltRadar
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt";
			axis = "osa_alt";
			angle = -340;
			min = 0;
			max = 1000;
		};

		class IndicatorAltRadar2
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt2";
			axis = "osa_alt2";
			angle = -340;
			min = 0;
			max = 1000;
		};

		class IndicatorSpeed
		{
			selection = "mph";
			axis = "osa_mph";
			angle = -350;
			min = 0;
			max = 1000 / 3.6;
		};

		class IndicatorVertSpeed
		{
			selection = "vert_speed";
			axis = "osa_vert_speed";
			angle = -240;
			min = -150;
			max = 150;
		};

		class IndicatorVertSpeed2
		{
			selection = "vert_speed2";
			axis = "osa_vert_speed2";
			angle = -240;
			min = -150;
			max = 150;
		};
	};


	class Helicopter: Air {};
	class PDBHARRIER4DESSERT: Helicopter
	{
		scope=public;
		crew = SoldierWPilot;
		picture=\PDB Harridessert\dessert\isu25;
		side=TWest;
		displayName="PDB Harrier VTOL_DESSERT";
		accuracy=0.30;
		driverAction = ManActA10Pilot;
            hasgunner = 0;
		maxSpeed = 1075;
		SoundEngine[]={"\PDB Harridessert\av8.wav",db+10,1};
            GearRetracting = 1;
		armor=100;
		cost=20000000;
		model="\PDB Harridessert\PDB Harridessert";
		weapons[]={PDBGAU12U,  Rocket57x64, RocketLauncher};
		magazines[]={PDBGAU12U, Rocket57x64, RocketLauncher};
		fov=0.5;
		type=VAir;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.1, 1, 0.7};

		class Reflectors
		{
			class Reflector
			{
				color[] = {0.9, 0.8, 0.8, 1.0};
				ambient[] = {0.1, 0.1, 0.1, 1.0};
				position = "L svetlo";
				direction = "konec L svetla";
				hitpoint = "L svetlo";
				selection = "L svetlo";
				size = 0.5;
				brightness = 0.25;
			};
		};

		class IndicatorAltRadar
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt";
			axis = "osa_alt";
			angle = -340;
			min = 0;
			max = 1000;
		};

		class IndicatorAltRadar2
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt2";
			axis = "osa_alt2";
			angle = -340;
			min = 0;
			max = 1000;
		};

		class IndicatorSpeed
		{
			selection = "mph";
			axis = "osa_mph";
			angle = -350;
			min = 0;
			max = 1000 / 3.6;
		};

		class IndicatorVertSpeed
		{
			selection = "vert_speed";
			axis = "osa_vert_speed";
			angle = -240;
			min = -150;
			max = 150;
		};

		class IndicatorVertSpeed2
		{
			selection = "vert_speed2";
			axis = "osa_vert_speed2";
			angle = -240;
			min = -150;
			max = 150;
		};
	};
};


class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxyCh_29T : ProxyWeapon {model = \Su25\Ch_29T; simulation = "maverickweapon";}
};
